%define major           0
%define gmajor		0.0
%define libname         %mklibname %{name} %{major}
%define girname		%mklibname %{name}-gir %{gmajor}
%define develname       %mklibname -d %{name}

Name:           keybinder
Version:        0.3.0
Release:        %mkrel 2
Summary:        A library for registering global keyboard shortcuts
License:        GPLv2+
Group:          Development/Python
URL:            http://kaizer.se/wiki/keybinder/
Source0:        http://kaizer.se/publicfiles/keybinder/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(python)
BuildRequires:  pkgconfig(pygtk-2.0)
BuildRequires:  pkgconfig(pygobject-2.0)
BuildRequires:  pkgconfig(lua) < 5.2
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
keybinder is a library for registering global keyboard shortcuts. Keybinder
works with GTK-based applications using the X Window System.

The library contains:
- A C library, libkeybinder
- Lua bindings, lua-keybinder
- Python bindings, python-keybinder
- An examples directory with programs in C, Lua, Python and Vala.

%package -n %{libname}
Group:          Development/Python
Summary:        %{name} library package

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Group:          Development/Python
Summary:        %{name} developement files
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}

%description -n %{develname}
This package contains header files needed when building applications based on
%{name}.

%package -n python-%{name}
Group:          Development/Python
Summary:        %{name} python bindings
Requires:       %{libname} = %{version}
Requires:       pygtk2.0
Requires:       python-gobject

%description -n python-%{name}
This package contains python bindings for keybinder.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-python \
	--enable-introspection=yes
%make

%install
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files
%doc ChangeLog NEWS AUTHORS README

%files -n %{libname}
%{_libdir}/libkeybinder.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Keybinder-%{gmajor}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/keybinder.h
%{_libdir}/lua/*/keybinder.so
%{_libdir}/libkeybinder.so
%{_libdir}/pkgconfig/keybinder.pc
%{_datadir}/gir-1.0/Keybinder-%{gmajor}.gir

%files -n python-%{name}
%{python_sitearch}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 356129
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 0.3.0-1.mga3
+ Revision: 334912
- new version 0.3.0
- enable gobject-introspection

* Tue Dec 25 2012 wally <wally> 0.2.2-5.mga3
+ Revision: 334899
- build against lua5.1

* Fri Feb 03 2012 kamil <kamil> 0.2.2-4.mga2
+ Revision: 204200
- fix license (it's GPLv2+)
- fix width of the description
- clean .spec
- adapt .spec for Mageia
- imported package keybinder

